<?php

	function unzip($file)
	{

		$zip=zip_open(realpath(".")."/".$file);
		if(!$zip) {return("Impossible de d袯mpresser '{$file}'");}
		
		$e='';
		
		while($zip_entry=zip_read($zip)) 
		{
			$zdir=dirname(zip_entry_name($zip_entry));
			$zname=zip_entry_name($zip_entry);
			
			if(!zip_entry_open($zip,$zip_entry,"r")) {$e.="Erreur �'extraction du fichier '{$zname}'";continue;}
			if(!is_dir($zdir)) mkdirr($zdir,0777);
			
			$zip_fs=zip_entry_filesize($zip_entry);
			if(empty($zip_fs)) continue;
			
			$zz=zip_entry_read($zip_entry,$zip_fs);
			
			$z=fopen($zname,"w");
			fwrite($z,$zz);
			fclose($z);
			zip_entry_close($zip_entry);
		
		} 
		zip_close($zip);
		
		return($e);
	} 

	function mkdirr($pn,$mode=null) 
	{
		if(is_dir($pn)||empty($pn)) return true;
		$pn=str_replace(array('/', ''),DIRECTORY_SEPARATOR,$pn);
		
		if(is_file($pn)) {trigger_error('mkdirr() File exists', E_USER_WARNING);return false;}
		
		$next_pathname=substr($pn,0,strrpos($pn,DIRECTORY_SEPARATOR));
		if(mkdirr($next_pathname,$mode)) {if(!file_exists($pn)) {return mkdir($pn,$mode);} }
		return false;
	}

	$erreur = unzip('kintpvcloud.zip');
	
	header("Content-type: text/xml");
	echo '<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>'."\n";
	echo '<install>';
	echo '<ok>'.(($erreur!='')?'0':'1').'</ok>';
	echo '<message>'.$erreur.'</message>';
	echo '</install>';
?>